petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetOptionsPrefix

Sets the prefix used for searching for all SNES options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetOptionsPrefix(SNES snes,const char prefix[])

Logically Collective on SNES

### Input Parameter

| snes | - the SNES context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

SNESSetFromOptions()

### Level

advanced

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages